a {
  color: #f5c5ff !important;
  text-decoration: none;
  text-underline: none !important;

}

a:hover {
  color: #f9dfff !important;
  text-decoration: underline !important;
  /*box-shadow: 0 1px 0 #f5c5ff;*/
}

.custom-input {
  border: 2px solid #7d5985 !important; /* Lekko fioletowe obramowanie */
}

.custom-input:focus {
  border: 2px solid #f5c5ff !important;
  box-shadow: none !important;
}

/*#374151*/
.custom-input-2 {
  background-color: #374151 !important;
  border: 1px solid #7d5985 !important; /* Lekko fioletowe obramowanie */
  color: #9299a6 !important;
}

.custom-input-2:focus {
  border: 1px solid #f5c5ff !important;
  box-shadow: none !important;
}

html {
  position: relative;
  min-height: 100%;
}

body {
  margin: 0; /* Ważne, aby zlikwidować domyślne marginesy */
  padding-bottom: 60px; /* Dopasuj do wysokości stopki */
  background-color: #343a40;
  color: #ffffff;
  font-family: "Poppins", sans-serif;
}

footer {
  position: absolute;
  bottom: 0;
  width: 100%;
  height: 60px; /* Wysokość stopki */
  background-color: #f5f5f5;
}

/* Actions */
.actions {
  margin-bottom: 1em;
}


/* Lists */
table {
  border-collapse: collapse;
  vertical-align: top;
}

table.list {
  width: 100%;
}

table.list tr td {
  border: 1px solid #999999;
}

table.list tr th {
  border: 1px solid #0B61A5;
  background: #0B61A5;
  color: white;
  text-align: left;
}

/* Forms */
dl {
  clear: both;
  overflow: hidden;
  margin: 0.5em 0;
}

dt {
  float: left;
  font-weight: bold;
  width: 160px;
  margin-top: 10px;
}

dd {
  float: left;
  margin-left: 1em;
  width: 400px;
}

#operations {
  clear: both;
  margin-top: 30px;
  margin-left: 0;
}

/* Errors */
/*.errors {*/
/*  display: inline-block;*/
/*  border: 2px solid red;*/
/*  color: red;*/
/*  padding: 1em;*/
/*  margin-bottom: 1em;*/
/*}*/

.errors {
  display: inline-block;
  border: 1px solid #f5c5ff;
  color: #f5c5ff;
  border-radius: 14px;
  padding: 20px;
  font-size: 16px;
  font-weight: 500;
  margin-top: 20px;
  margin-bottom: 60px;
}

.errors ul {
  margin-bottom: 0;
  padding-left: 24px;
}

/* Session Messages */
#message {
  display: inline-block;
  border: 1px solid #f5c5ff;
  color: #f5c5ff;
  border-radius: 16px;
  padding: 20px;
  font-size: 16px;
  font-weight: 500;
  margin-top: 20px;
  margin-bottom: 60px;
}

.btn-staff {
  border-radius: 28px;
  font-size: 13px;
  text-transform: uppercase;
  margin: 0 6px;
  padding: 12px 16px;
  -webkit-transition: all .5s;
  transition: all .5s;
}

.btn-purple {
  color: #fff;
  background-color: #3c3c3c;
  border: 1px solid #3c3c3c;
  outline: none !important;
  box-shadow: none;
}

.btn-purple:hover,
.btn-purple:focus {
  color: #fff;
  background-color: rgb(178, 95, 255);
  border: 1px solid rgb(178, 95, 255);
  outline: none !important;
  box-shadow: none;
}


/* Pagination */

.pagination {
  margin: 1em 0;
}

.pagination a, .pagination span {
  display: inline-block;
  margin: 0 5px;
}

.pagination span.selected {
  font-weight: bold;
  color: #000;
}

.table-rounded {
  border-top-right-radius: 8px;
  border-top-left-radius: 8px;
  overflow: hidden; /* Zapobiega wychodzeniu zawartości poza narożniki */
}

.table-dark {
  --bs-table-bg: #374151;
}

#admin_user .bg-dark2 {
  background-color: #1a222e !important;
}

#admin_user .card-body {
  padding: 20px;
}

/* Dodatkowy styl dla select w trybie ciemnym */
.custom-select-dark {
  background-color: #374151;
  color: white;
  border: 1px solid #7d5985;
}
.custom-select-dark option {
  background-color: #343a40;
  color: white;
}
.custom-select-dark:focus {
  border-color: #f5c5ff;
  box-shadow: none !important;
}

/* Niestandardowa strzałka */
.custom-select-dark::-ms-expand {
  display: none; /* Ukryj domyślną strzałkę w IE */
}

.custom-select-dark {
  appearance: none; /* Usuwa domyślny styl strzałki */
  -webkit-appearance: none; /* Usuwa domyślny styl w przeglądarkach WebKit */
  -moz-appearance: none; /* Usuwa domyślny styl w Firefoksie */
  color: #ffffff; /* Tekst biały */
  background-image: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' fill='white' viewBox='0 0 24 24'%3E%3Cpath d='M7 10l5 5 5-5H7z'/%3E%3C/svg%3E");
  background-repeat: no-repeat;
  background-position: right 1.4rem center;
  background-size: 1.4rem;
}
